* [gentoo-commits] repo/gentoo:master commit in: media-gfx/graphicsmagick/, media-gfx/graphicsmagick/files/
@ 2022-07-30 8:19 Sam James
0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2022-07-30 8:19 UTC (permalink / raw
To: gentoo-commits
commit: 362e9b8b81b47da9c015abf3af60a705609a0080
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 30 08:18:35 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 30 08:18:41 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=362e9b8b
media-gfx/graphicsmagick: fix automagic deps; bashism in configure
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../graphicsmagick-1.3.38-configure-bashism.patch | 34 ++++++++++++++++++++++
...9999.ebuild => graphicsmagick-1.3.38-r1.ebuild} | 19 ++++++++----
.../graphicsmagick/graphicsmagick-9999.ebuild | 18 ++++++++----
3 files changed, 61 insertions(+), 10 deletions(-)
diff --git a/media-gfx/graphicsmagick/files/graphicsmagick-1.3.38-configure-bashism.patch b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.38-configure-bashism.patch
new file mode 100644
index 000000000000..69d5fd50a1bf
--- /dev/null
+++ b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.38-configure-bashism.patch
@@ -0,0 +1,34 @@
+# HG changeset patch
+# User Sam James <sam@gentoo.org>
+# Date 1659168362 -3600
+# Sat Jul 30 09:06:02 2022 +0100
+# Node ID aa77bc8461ee15501a0298dafd53c97447aa30d0
+# Parent 0a06f497d58839e4100b3be46bbdcd14d8147d75
+configure: fix bashism
+
+configure scripts need to be runnable with a POSIX-compliant /bin/sh.
+
+On many (but not all!) systems, /bin/sh is provided by Bash, so errors
+like this aren't spotted. Notably Debian defaults to /bin/sh provided
+by dash which doesn't tolerate such bashisms as '=='.
+
+This retains compatibility with bash.
+
+Fixes configure warnings/errors like:
+```
+checking for gs... /usr/sbin/gs
+./configure: 31719: test: #: unexpected operator
+checking for Windows fonts directory (location of arial.ttf)... /usr/share/fonts/corefonts/
+```
+
+--- a/configure.ac
++++ b/configure.ac
+@@ -3148,7 +3148,7 @@ have_ralcgm='no' ; if test "$CGMDecodeD
+ AM_CONDITIONAL([HasPSDelegate],[test "$have_gs" = 'yes'])
+
+ # Tests for programs only used while in maintainer mode
+-if test "$MAINT" == '' ; then
++if test "$MAINT" = '' ; then
+ # Test for optional rst2html.py utility and define automake conditional HasRST2HTML if found.
+ AC_CHECK_PROGS([RST2HTML],[rst2html.py rst2html])
+
diff --git a/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild b/media-gfx/graphicsmagick/graphicsmagick-1.3.38-r1.ebuild
similarity index 89%
copy from media-gfx/graphicsmagick/graphicsmagick-9999.ebuild
copy to media-gfx/graphicsmagick/graphicsmagick-1.3.38-r1.ebuild
index ed7baccc45e1..f3cdeac277df 100644
--- a/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild
+++ b/media-gfx/graphicsmagick/graphicsmagick-1.3.38-r1.ebuild
@@ -28,16 +28,17 @@ LICENSE="MIT"
SLOT="0/${PV%.*}"
IUSE="bzip2 +cxx debug dynamic-loading fpx heif imagemagick jbig jpeg jpegxl lcms lzma"
-IUSE+=" openmp perl png postscript q16 q32 static-libs svg threads tiff truetype"
-IUSE+=" webp wmf X zlib"
+IUSE+=" openmp perl png postscript q16 q32 static-libs svg tcmalloc threads tiff truetype"
+IUSE+=" webp wmf X zlib zstd"
-RDEPEND="dev-libs/libltdl
+RDEPEND="
+ dev-libs/libltdl
bzip2? ( app-arch/bzip2 )
fpx? ( media-libs/libfpx )
heif? ( media-libs/libheif:= )
imagemagick? ( !media-gfx/imagemagick )
jbig? ( media-libs/jbigkit )
- jpeg? ( virtual/jpeg )
+ jpeg? ( media-libs/libjpeg-turbo:= )
jpegxl? ( media-libs/libjxl:= )
lcms? ( media-libs/lcms:2 )
lzma? ( app-arch/xz-utils )
@@ -45,6 +46,7 @@ RDEPEND="dev-libs/libltdl
png? ( media-libs/libpng:= )
postscript? ( app-text/ghostscript-gpl )
svg? ( dev-libs/libxml2 )
+ tcmalloc? ( dev-util/google-perftools:= )
tiff? ( media-libs/tiff )
truetype? (
media-fonts/urw-fonts
@@ -56,12 +58,15 @@ RDEPEND="dev-libs/libltdl
x11-libs/libSM
x11-libs/libXext
)
- zlib? ( sys-libs/zlib )"
+ zlib? ( sys-libs/zlib )
+ zstd? ( app-arch/zstd:= )
+"
DEPEND="${RDEPEND}"
PATCHES=(
"${FILESDIR}"/${PN}-1.3.36-flags.patch
"${FILESDIR}"/${PN}-1.3.19-perl.patch
+ "${FILESDIR}"/${P}-configure-bashism.patch
)
pkg_pretend() {
@@ -107,11 +112,14 @@ src_configure() {
$(use_with jbig)
$(use_with webp)
$(use_with jpeg)
+ # Needs last-rited/unpackaged jasper
--without-jp2
$(use_with lcms lcms2)
$(use_with lzma)
$(use_with png)
+ $(use_with tcmalloc)
$(use_with tiff)
+ --without-trio
$(use_with truetype ttf)
$(use_with wmf)
--with-fontpath="${EPREFIX}"/usr/share/fonts
@@ -119,6 +127,7 @@ src_configure() {
--with-windows-font-dir="${EPREFIX}"/usr/share/fonts/corefonts
$(use_with svg xml)
$(use_with zlib)
+ $(use_with zstd)
$(use_with X x)
)
diff --git a/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild b/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild
index ed7baccc45e1..c3cfd69b4baf 100644
--- a/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild
+++ b/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild
@@ -28,16 +28,17 @@ LICENSE="MIT"
SLOT="0/${PV%.*}"
IUSE="bzip2 +cxx debug dynamic-loading fpx heif imagemagick jbig jpeg jpegxl lcms lzma"
-IUSE+=" openmp perl png postscript q16 q32 static-libs svg threads tiff truetype"
-IUSE+=" webp wmf X zlib"
+IUSE+=" openmp perl png postscript q16 q32 static-libs svg tcmalloc threads tiff truetype"
+IUSE+=" webp wmf X zlib zstd"
-RDEPEND="dev-libs/libltdl
+RDEPEND="
+ dev-libs/libltdl
bzip2? ( app-arch/bzip2 )
fpx? ( media-libs/libfpx )
heif? ( media-libs/libheif:= )
imagemagick? ( !media-gfx/imagemagick )
jbig? ( media-libs/jbigkit )
- jpeg? ( virtual/jpeg )
+ jpeg? ( media-libs/libjpeg-turbo:= )
jpegxl? ( media-libs/libjxl:= )
lcms? ( media-libs/lcms:2 )
lzma? ( app-arch/xz-utils )
@@ -45,6 +46,7 @@ RDEPEND="dev-libs/libltdl
png? ( media-libs/libpng:= )
postscript? ( app-text/ghostscript-gpl )
svg? ( dev-libs/libxml2 )
+ tcmalloc? ( dev-util/google-perftools:= )
tiff? ( media-libs/tiff )
truetype? (
media-fonts/urw-fonts
@@ -56,7 +58,9 @@ RDEPEND="dev-libs/libltdl
x11-libs/libSM
x11-libs/libXext
)
- zlib? ( sys-libs/zlib )"
+ zlib? ( sys-libs/zlib )
+ zstd? ( app-arch/zstd:= )
+"
DEPEND="${RDEPEND}"
PATCHES=(
@@ -107,11 +111,14 @@ src_configure() {
$(use_with jbig)
$(use_with webp)
$(use_with jpeg)
+ # Needs last-rited/unpackaged jasper
--without-jp2
$(use_with lcms lcms2)
$(use_with lzma)
$(use_with png)
+ $(use_with tcmalloc)
$(use_with tiff)
+ --without-trio
$(use_with truetype ttf)
$(use_with wmf)
--with-fontpath="${EPREFIX}"/usr/share/fonts
@@ -119,6 +126,7 @@ src_configure() {
--with-windows-font-dir="${EPREFIX}"/usr/share/fonts/corefonts
$(use_with svg xml)
$(use_with zlib)
+ $(use_with zstd)
$(use_with X x)
)
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/graphicsmagick/, media-gfx/graphicsmagick/files/
@ 2023-07-28 13:42 Sam James
0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2023-07-28 13:42 UTC (permalink / raw
To: gentoo-commits
commit: e902da31307d79b5eb107b36c5192472af74cf92
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 28 13:30:48 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jul 28 13:30:59 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e902da31
media-gfx/graphicsmagick: fix build w/ libjpeg-turbo-3
Closes: https://bugs.gentoo.org/909834
Signed-off-by: Sam James <sam <AT> gentoo.org>
...graphicsmagick-1.3.40-libjpeg-turbo-3-001.patch | 69 +++++++++
...graphicsmagick-1.3.40-libjpeg-turbo-3-002.patch | 48 ++++++
...graphicsmagick-1.3.40-libjpeg-turbo-3-003.patch | 31 ++++
.../graphicsmagick/graphicsmagick-1.3.40-r1.ebuild | 163 +++++++++++++++++++++
4 files changed, 311 insertions(+)
diff --git a/media-gfx/graphicsmagick/files/graphicsmagick-1.3.40-libjpeg-turbo-3-001.patch b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.40-libjpeg-turbo-3-001.patch
new file mode 100644
index 000000000000..a505f8b7e2d8
--- /dev/null
+++ b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.40-libjpeg-turbo-3-001.patch
@@ -0,0 +1,69 @@
+https://bugs.gentoo.org/909834
+https://hg.osdn.net/view/graphicsmagick/GM/rev/f07f6a9c3a58
+
+# HG changeset patch
+# User Bob Friesenhahn <bfriesen@GraphicsMagick.org>
+# Date 1675529318 21600
+# Node ID f07f6a9c3a5862971b17d1481bb53f0666b0b66c
+# Parent 166bc6d3500ddeb243c7c1b25ca0d9eade8e3b55
+configure.ac: Test for interesting libjpeg-turbo 3.0 functions
+
+--- a/configure
++++ b/configure
+@@ -26116,6 +26116,20 @@
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+ $as_echo "yes" >&6; }
+ have_jpeg='yes'
++ # Test for interesting libjpeg-turbo 3.0 functions (which may also appear in other JPEG libraries)
++ for ac_func in jpeg_enable_lossless jpeg12_write_scanlines jpeg16_write_scanlines \
++ jpeg12_read_scanlines jpeg16_read_scanlines
++do :
++ as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
++ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
++if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
++ cat >>confdefs.h <<_ACEOF
++#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
++_ACEOF
++
++fi
++done
++
+ fi
+ else
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+--- a/configure.ac
++++ b/configure.ac
+@@ -2250,6 +2250,9 @@
+ AC_DEFINE([HasJPEG],[1],[Define if you have JPEG library])
+ AC_MSG_RESULT([yes])
+ have_jpeg='yes'
++ # Test for interesting libjpeg-turbo 3.0 functions (which may also appear in other JPEG libraries)
++ AC_CHECK_FUNCS([jpeg_enable_lossless jpeg12_write_scanlines jpeg16_write_scanlines \
++ jpeg12_read_scanlines jpeg16_read_scanlines])
+ fi
+ else
+ AC_MSG_RESULT([no])
+--- a/magick/magick_config.h.in
++++ b/magick/magick_config.h.in
+@@ -149,6 +149,21 @@
+ /* Define to 1 if you have the `jas_init_library' function. */
+ #undef HAVE_JAS_INIT_LIBRARY
+
++/* Define to 1 if you have the `jpeg12_read_scanlines' function. */
++#undef HAVE_JPEG12_READ_SCANLINES
++
++/* Define to 1 if you have the `jpeg12_write_scanlines' function. */
++#undef HAVE_JPEG12_WRITE_SCANLINES
++
++/* Define to 1 if you have the `jpeg16_read_scanlines' function. */
++#undef HAVE_JPEG16_READ_SCANLINES
++
++/* Define to 1 if you have the `jpeg16_write_scanlines' function. */
++#undef HAVE_JPEG16_WRITE_SCANLINES
++
++/* Define to 1 if you have the `jpeg_enable_lossless' function. */
++#undef HAVE_JPEG_ENABLE_LOSSLESS
++
+ /* Define if you have the <lcms2.h> header file. */
+ #undef HAVE_LCMS2_H
+
diff --git a/media-gfx/graphicsmagick/files/graphicsmagick-1.3.40-libjpeg-turbo-3-002.patch b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.40-libjpeg-turbo-3-002.patch
new file mode 100644
index 000000000000..d45fc6d9605b
--- /dev/null
+++ b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.40-libjpeg-turbo-3-002.patch
@@ -0,0 +1,48 @@
+https://bugs.gentoo.org/909834
+https://hg.osdn.net/view/graphicsmagick/GM/rev/166bc6d3500d
+
+# HG changeset patch
+# User Bob Friesenhahn <bfriesen@GraphicsMagick.org>
+# Date 1675522420 21600
+# Node ID 166bc6d3500ddeb243c7c1b25ca0d9eade8e3b55
+# Parent 8c82d3be78692071e2f74fb1b9543e9b8384d7cb
+JPEG: Ignore C_LOSSLESS_SUPPORTED/D_LOSSLESS_SUPPORTED defined by JPEG-Turbo
+
+--- a/coders/jpeg.c
++++ b/coders/jpeg.c
+@@ -1,5 +1,5 @@
+ /*
+-% Copyright (C) 2003-2022 GraphicsMagick Group
++% Copyright (C) 2003-2023 GraphicsMagick Group
+ % Copyright (C) 2002 ImageMagick Studio
+ % Copyright 1991-1999 E. I. du Pont de Nemours and Company
+ %
+@@ -954,7 +954,7 @@
+ i;
+
+ save_quality=0;
+-#ifdef D_LOSSLESS_SUPPORTED
++#if !defined(LIBJPEG_TURBO_VERSION_NUMBER) && defined(D_LOSSLESS_SUPPORTED)
+ if (image->compression==LosslessJPEGCompression)
+ {
+ save_quality=100;
+@@ -1461,7 +1461,9 @@
+ }
+ #endif
+ #if (JPEG_LIB_VERSION >= 61) && defined(D_PROGRESSIVE_SUPPORTED)
+-#ifdef D_LOSSLESS_SUPPORTED
++#if !defined(LIBJPEG_TURBO_VERSION_NUMBER) && defined(D_LOSSLESS_SUPPORTED)
++ /* This code is based on a patch to IJG JPEG 6b, or somesuch. Standard
++ library does not have a 'process' member. */
+ image->interlace=
+ jpeg_info.process == JPROC_PROGRESSIVE ? LineInterlace : NoInterlace;
+ image->compression=jpeg_info.process == JPROC_LOSSLESS ?
+@@ -2896,7 +2898,7 @@
+ if ((image->compression == LosslessJPEGCompression) ||
+ (quality > 100))
+ {
+-#if defined(C_LOSSLESS_SUPPORTED)
++#if !defined(LIBJPEG_TURBO_VERSION_NUMBER) && defined(C_LOSSLESS_SUPPORTED)
+ if (quality < 100)
+ ThrowException(&image->exception,CoderWarning,
+ LosslessToLossyJPEGConversion,(char *) NULL);
diff --git a/media-gfx/graphicsmagick/files/graphicsmagick-1.3.40-libjpeg-turbo-3-003.patch b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.40-libjpeg-turbo-3-003.patch
new file mode 100644
index 000000000000..5b72576b1512
--- /dev/null
+++ b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.40-libjpeg-turbo-3-003.patch
@@ -0,0 +1,31 @@
+https://bugs.gentoo.org/909834
+https://hg.osdn.net/view/graphicsmagick/GM/rev/03561d79e918
+
+# HG changeset patch
+# User Bob Friesenhahn <bfriesen@GraphicsMagick.org>
+# Date 1676216369 21600
+# Node ID 03561d79e9180a65d204b6240a5846fd8b01d1b4
+# Parent 6eb67db043d537ae350409535873c5cbf55ba14c
+ReadJPEGImage(): Use MagickAllocateResourceLimitedClearedArray()
+
+--- a/coders/jpeg.c
++++ b/coders/jpeg.c
+@@ -1695,7 +1695,7 @@
+ }
+ }
+
+- jpeg_pixels=MagickAllocateResourceLimitedArray(JSAMPLE *,
++ jpeg_pixels=MagickAllocateResourceLimitedClearedArray(JSAMPLE *,
+ jpeg_info.output_components,
+ MagickArraySize(image->columns,
+ sizeof(JSAMPLE)));
+@@ -1704,9 +1704,6 @@
+ jpeg_destroy_decompress(&jpeg_info);
+ ThrowJPEGReaderException(ResourceLimitError,MemoryAllocationFailed,image);
+ }
+- (void) memset(jpeg_pixels,0,MagickArraySize(jpeg_info.output_components,
+- MagickArraySize(image->columns,
+- sizeof(JSAMPLE))));
+
+ /*
+ Extended longjmp-based error handler (with jpeg_pixels)
diff --git a/media-gfx/graphicsmagick/graphicsmagick-1.3.40-r1.ebuild b/media-gfx/graphicsmagick/graphicsmagick-1.3.40-r1.ebuild
new file mode 100644
index 000000000000..119b6ba3c803
--- /dev/null
+++ b/media-gfx/graphicsmagick/graphicsmagick-1.3.40-r1.ebuild
@@ -0,0 +1,163 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools toolchain-funcs
+
+MY_P=${P/graphicsm/GraphicsM}
+DESCRIPTION="Collection of tools and libraries for many image formats"
+HOMEPAGE="http://www.graphicsmagick.org/ https://hg.osdn.net/view/graphicsmagick/GM"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit mercurial
+ EHG_REPO_URI="http://hg.code.sf.net/p/${PN}/code"
+else
+ VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/bobfriesenhahn.asc
+ inherit verify-sig
+ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.xz"
+ SRC_URI+=" verify-sig? ( mirror://sourceforge/${PN}/${MY_P}.tar.xz.asc )"
+ S="${WORKDIR}/${MY_P}"
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+ BDEPEND="verify-sig? ( sec-keys/openpgp-keys-bobfriesenhahn )"
+fi
+
+LICENSE="MIT"
+SLOT="0/${PV%.*}"
+
+IUSE="bzip2 +cxx debug dynamic-loading fpx heif imagemagick jbig jpeg jpegxl lcms lzma"
+IUSE+=" openmp perl png postscript q16 q32 static-libs svg tcmalloc tiff truetype"
+IUSE+=" webp wmf X zlib zstd"
+
+RDEPEND="
+ dev-libs/libltdl
+ bzip2? ( app-arch/bzip2 )
+ fpx? ( media-libs/libfpx )
+ heif? ( media-libs/libheif:= )
+ imagemagick? ( !media-gfx/imagemagick )
+ jbig? ( media-libs/jbigkit )
+ jpeg? ( media-libs/libjpeg-turbo:= )
+ jpegxl? ( media-libs/libjxl:= )
+ lcms? ( media-libs/lcms:2 )
+ lzma? ( app-arch/xz-utils )
+ perl? ( dev-lang/perl:= )
+ png? ( media-libs/libpng:= )
+ postscript? ( app-text/ghostscript-gpl )
+ svg? ( dev-libs/libxml2 )
+ tcmalloc? ( dev-util/google-perftools:= )
+ tiff? ( media-libs/tiff:= )
+ truetype? (
+ media-fonts/urw-fonts
+ >=media-libs/freetype-2
+ )
+ webp? ( media-libs/libwebp:= )
+ wmf? ( media-libs/libwmf )
+ X? (
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ )
+ zlib? ( sys-libs/zlib )
+ zstd? ( app-arch/zstd:= )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.3.36-flags.patch
+ "${FILESDIR}"/${PN}-1.3.19-perl.patch
+ "${FILESDIR}"/graphicsmagick-1.3.40-libjpeg-turbo-3-001.patch
+ "${FILESDIR}"/graphicsmagick-1.3.40-libjpeg-turbo-3-002.patch
+ "${FILESDIR}"/graphicsmagick-1.3.40-libjpeg-turbo-3-003.patch
+)
+
+pkg_pretend() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ local depth=8
+
+ use q16 && depth=16
+ use q32 && depth=32
+
+ local myeconfargs=(
+ --enable-largefile
+ --enable-shared
+ $(use_enable static-libs static)
+ $(use_enable debug prof)
+ $(use_enable debug gcov)
+ $(use_enable imagemagick magick-compat)
+ $(use_enable openmp)
+ --with-threads
+ $(use_with dynamic-loading modules)
+ --with-quantum-depth=${depth}
+ --without-frozenpaths
+ $(use_with cxx magick-plus-plus)
+ $(use_with heif)
+ $(use_with jpegxl jxl)
+ $(use_with perl)
+ --with-perl-options=INSTALLDIRS=vendor
+ $(use_with bzip2 bzlib)
+ $(use_with postscript dps)
+ $(use_with fpx)
+ $(use_with jbig)
+ $(use_with webp)
+ $(use_with jpeg)
+ # Needs last-rited/unpackaged jasper
+ --without-jp2
+ $(use_with lcms lcms2)
+ $(use_with lzma)
+ $(use_with png)
+ $(use_with tcmalloc)
+ $(use_with tiff)
+ --without-trio
+ $(use_with truetype ttf)
+ $(use_with wmf)
+ --with-fontpath="${EPREFIX}"/usr/share/fonts
+ --with-gs-font-dir="${EPREFIX}"/usr/share/fonts/urw-fonts
+ --with-windows-font-dir="${EPREFIX}"/usr/share/fonts/corefonts
+ $(use_with svg xml)
+ $(use_with zlib)
+ $(use_with zstd)
+ $(use_with X x)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ default
+
+ use perl && emake perl-build
+}
+
+src_test() {
+ unset DISPLAY # some perl tests fail when DISPLAY is set
+
+ default
+}
+
+src_install() {
+ default
+
+ if use perl ; then
+ emake -C PerlMagick DESTDIR="${D}" install
+
+ find "${ED}" -type f -name perllocal.pod -exec rm -f {} + || die
+ find "${ED}" -depth -mindepth 1 -type d -empty -exec rm -rf {} + || die
+ fi
+
+ find "${ED}" -name '*.la' -exec sed -i -e "/^dependency_libs/s:=.*:='':" {} + || die
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/graphicsmagick/, media-gfx/graphicsmagick/files/
@ 2023-08-13 6:49 Sam James
0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2023-08-13 6:49 UTC (permalink / raw
To: gentoo-commits
commit: 8aadbe25adc2c60e809a6c9eff3d4a1e01f3d94d
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 13 06:34:17 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Aug 13 06:49:24 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8aadbe25
media-gfx/graphicsmagick: add 1.3.41
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-gfx/graphicsmagick/Manifest | 2 +
.../files/graphicsmagick-1.3.41-flags.patch | 53 ++++++++++++++++++++++
.../files/graphicsmagick-1.3.41-perl.patch | 12 +++++
...ck-9999.ebuild => graphicsmagick-1.3.41.ebuild} | 12 +++--
.../graphicsmagick/graphicsmagick-9999.ebuild | 12 +++--
5 files changed, 81 insertions(+), 10 deletions(-)
diff --git a/media-gfx/graphicsmagick/Manifest b/media-gfx/graphicsmagick/Manifest
index b9635f463150..99ddfe68d68d 100644
--- a/media-gfx/graphicsmagick/Manifest
+++ b/media-gfx/graphicsmagick/Manifest
@@ -1,2 +1,4 @@
DIST GraphicsMagick-1.3.40.tar.xz 5507792 BLAKE2B 2052eb34931f07c902a9c68192ebe4d36137cd23219b1598bae2fa78c5c8bfd1efadf9fd430ed4fee8dc903e50ffabe5a9c76bf55966b85b6f303b2decdca6ee SHA512 e64902aa2a8702d03d188350bd4252a2263e431611f9a70f38cd8beede8a38cc91bb4de3603fedf15420ebbba488f609f218e9b45e356b9f8dc8e4a75f380ee5
DIST GraphicsMagick-1.3.40.tar.xz.asc 228 BLAKE2B 70eaaa0cd30cfe23ac6dc5e8edc026c57eea7b1a608e83da3408f6fa9fc2cceeb8190e4e9015f321ee688f2a32689d244d69bc61764a99ab0f99ada72143a575 SHA512 82c628e4a260a690c7b1941321881a97d54b4c9580dcbfd8ae786a1774dc43c46e8542488ca875346446858e7475847c440cfca572315a5fe123315b187a240a
+DIST GraphicsMagick-1.3.41.tar.xz 5533080 BLAKE2B 878c785b19feb3153cd2ea9cb105938ff7c4e577ce5e563cfdde501ca26b48f4c3ac6e875de240229938fa1b5776564607a35398dcc9adfd0fd801341d87ab63 SHA512 f2b850818f992349e8cb8f74ed8e897af4e1f4b9af9f3622c1ff30f3af5bc8530a60efbb24875fda80ff49e0db0304dfd6a39de87bd2e29b8ce42d653846890e
+DIST GraphicsMagick-1.3.41.tar.xz.asc 228 BLAKE2B 298c1445d7de5114e38e02f4b3c5c91569b70c126849526a822cc5a2fc2623b6bc83b74a4a58cf0e326741a96ace95b60108f9a07bf9c37a3d9ca722485eb8be SHA512 13bb0218a436ab083518f4a32d17b231a941abd960b32b13a05e4fca3d6b57112f2b496bf7fba0996c2c9855c15158f8223003fcbcf4335bd0ba1a1ae7ee8ba9
diff --git a/media-gfx/graphicsmagick/files/graphicsmagick-1.3.41-flags.patch b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.41-flags.patch
new file mode 100644
index 000000000000..f3f871cced37
--- /dev/null
+++ b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.41-flags.patch
@@ -0,0 +1,53 @@
+--- a/Magick++/bin/GraphicsMagick++-config.in
++++ b/Magick++/bin/GraphicsMagick++-config.in
+@@ -36,7 +36,7 @@ while test $# -gt 0; do
+ echo '@CXX@'
+ ;;
+ --cxxflags)
+- echo '@CXXFLAGS@'
++ echo '@MAGICK_API_CXXFLAGS@'
+ ;;
+ --ldflags)
+ echo '@MAGICK_API_LDFLAGS@'
+--- a/configure.ac
++++ b/configure.ac
+@@ -338,6 +338,7 @@ fi
+
+ AC_OPENMP([C])
+ CFLAGS="$OPENMP_CFLAGS $CFLAGS"
++MAGICK_API_CFLAGS="$MAGICK_API_CFLAGS $OPENMP_CFLAGS"
+ #CXXFLAGS="$OPENMP_CXXFLAGS $CXXFLAGS"
+ #LDFLAGS="$LDFLAGS $OPENMP_CFLAGS"
+ AC_SUBST([OPENMP_CFLAGS])
+@@ -3883,9 +3884,10 @@ MAGICK_DEP_LIBS=`echo $MAGICK_DEP_LIBS | sed -e 's/ */ /g'`
+ MAGICK_EXTRA_DEP_LIBS=`echo $MAGICK_EXTRA_DEP_LIBS | sed -e 's/ */ /g'`
+ #LIBS=`echo $LIBS | sed -e 's/ */ /g'`
+
+-MAGICK_API_CFLAGS=$CFLAGS
++MAGICK_API_CFLAGS=`echo $MAGICK_API_CFLAGS | sed -e 's/ */ /g'`
+ MAGICK_API_CPPFLAGS=`echo $MAGICK_API_CPPFLAGS | sed -e 's/ */ /g'`
+-MAGICK_API_LDFLAGS="-L$LIB_DIR $LDFLAGS"
++MAGICK_API_CXXFLAGS=""
++MAGICK_API_LDFLAGS="-L$LIB_DIR"
+ MAGICK_API_DEP_LIBS="$MAGICK_DEP_LIBS"
+ MAGICK_API_LIBS="-lGraphicsMagick $MAGICK_API_DEP_LIBS $MAGICK_EXTRA_DEP_LIBS"
+
+@@ -3915,6 +3917,7 @@ AC_SUBST([X_CFLAGS])
+
+ AC_SUBST([MAGICK_API_CFLAGS])
+ AC_SUBST([MAGICK_API_CPPFLAGS])
++AC_SUBST(MAGICK_API_CXXFLAGS)
+ AC_SUBST([MAGICK_API_PC_CPPFLAGS])
+ AC_SUBST([MAGICK_API_LDFLAGS])
+ AC_SUBST([MAGICK_API_LIBS])
+--- a/magick/GraphicsMagick-config.in
++++ b/magick/GraphicsMagick-config.in
+@@ -33,7 +33,7 @@ while test $# -gt 0; do
+ echo '@CC@'
+ ;;
+ --cflags)
+- echo '@CFLAGS@'
++ echo '@MAGICK_API_CFLAGS@'
+ ;;
+ --cppflags)
+ echo '@MAGICK_API_CPPFLAGS@'
diff --git a/media-gfx/graphicsmagick/files/graphicsmagick-1.3.41-perl.patch b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.41-perl.patch
new file mode 100644
index 000000000000..15cd28aba24c
--- /dev/null
+++ b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.41-perl.patch
@@ -0,0 +1,12 @@
+Link perl bindings against built libraries instead of system libraries (bug #456180).
+--- a/PerlMagick/Makefile.PL.in
++++ b/PerlMagick/Makefile.PL.in
+@@ -23,7 +23,7 @@ my $magick_LDFLAGS='@LDFLAGS@';
+ my $magick_BIN_DIR="$ENV{'DESTDIR'}@BIN_DIR@";
+ my $magick_API_LIBS='@MAGICK_API_LIBS@';
+ my $magick_PERLMAINCC='@PERLMAINCC@';
+-my $magick_LIB_DIR="$ENV{'DESTDIR'}@MAGICKLIBDIR@";
++my $magick_LIB_DIR="../magick/.libs";
+
+ # Compute test specification
+ my $delegate_tests='t/*.t';
diff --git a/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild b/media-gfx/graphicsmagick/graphicsmagick-1.3.41.ebuild
similarity index 95%
copy from media-gfx/graphicsmagick/graphicsmagick-9999.ebuild
copy to media-gfx/graphicsmagick/graphicsmagick-1.3.41.ebuild
index 4e497a4945c2..e829330a5e8f 100644
--- a/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild
+++ b/media-gfx/graphicsmagick/graphicsmagick-1.3.41.ebuild
@@ -10,11 +10,12 @@ DESCRIPTION="Collection of tools and libraries for many image formats"
HOMEPAGE="http://www.graphicsmagick.org/ https://hg.osdn.net/view/graphicsmagick/GM"
if [[ ${PV} == 9999 ]] ; then
- inherit mercurial
EHG_REPO_URI="http://hg.code.sf.net/p/${PN}/code"
+ inherit mercurial
else
VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/bobfriesenhahn.asc
inherit verify-sig
+
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.xz"
SRC_URI+=" verify-sig? ( mirror://sourceforge/${PN}/${MY_P}.tar.xz.asc )"
S="${WORKDIR}/${MY_P}"
@@ -26,7 +27,6 @@ fi
LICENSE="MIT"
SLOT="0/${PV%.*}"
-
IUSE="bzip2 +cxx debug dynamic-loading fpx heif imagemagick jbig jpeg jpegxl lcms lzma"
IUSE+=" openmp perl png postscript q16 q32 static-libs svg tcmalloc tiff truetype"
IUSE+=" webp wmf X zlib zstd"
@@ -63,10 +63,11 @@ RDEPEND="
zstd? ( app-arch/zstd:= )
"
DEPEND="${RDEPEND}"
+BDEPEND+=" virtual/pkgconfig"
PATCHES=(
- "${FILESDIR}"/${PN}-1.3.36-flags.patch
- "${FILESDIR}"/${PN}-1.3.19-perl.patch
+ "${FILESDIR}"/${PN}-1.3.41-flags.patch
+ "${FILESDIR}"/${PN}-1.3.41-perl.patch
)
pkg_pretend() {
@@ -141,7 +142,8 @@ src_compile() {
}
src_test() {
- unset DISPLAY # some perl tests fail when DISPLAY is set
+ # Some perl tests fail when DISPLAY is set
+ unset DISPLAY
default
}
diff --git a/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild b/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild
index 4e497a4945c2..e829330a5e8f 100644
--- a/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild
+++ b/media-gfx/graphicsmagick/graphicsmagick-9999.ebuild
@@ -10,11 +10,12 @@ DESCRIPTION="Collection of tools and libraries for many image formats"
HOMEPAGE="http://www.graphicsmagick.org/ https://hg.osdn.net/view/graphicsmagick/GM"
if [[ ${PV} == 9999 ]] ; then
- inherit mercurial
EHG_REPO_URI="http://hg.code.sf.net/p/${PN}/code"
+ inherit mercurial
else
VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/bobfriesenhahn.asc
inherit verify-sig
+
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.xz"
SRC_URI+=" verify-sig? ( mirror://sourceforge/${PN}/${MY_P}.tar.xz.asc )"
S="${WORKDIR}/${MY_P}"
@@ -26,7 +27,6 @@ fi
LICENSE="MIT"
SLOT="0/${PV%.*}"
-
IUSE="bzip2 +cxx debug dynamic-loading fpx heif imagemagick jbig jpeg jpegxl lcms lzma"
IUSE+=" openmp perl png postscript q16 q32 static-libs svg tcmalloc tiff truetype"
IUSE+=" webp wmf X zlib zstd"
@@ -63,10 +63,11 @@ RDEPEND="
zstd? ( app-arch/zstd:= )
"
DEPEND="${RDEPEND}"
+BDEPEND+=" virtual/pkgconfig"
PATCHES=(
- "${FILESDIR}"/${PN}-1.3.36-flags.patch
- "${FILESDIR}"/${PN}-1.3.19-perl.patch
+ "${FILESDIR}"/${PN}-1.3.41-flags.patch
+ "${FILESDIR}"/${PN}-1.3.41-perl.patch
)
pkg_pretend() {
@@ -141,7 +142,8 @@ src_compile() {
}
src_test() {
- unset DISPLAY # some perl tests fail when DISPLAY is set
+ # Some perl tests fail when DISPLAY is set
+ unset DISPLAY
default
}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/graphicsmagick/, media-gfx/graphicsmagick/files/
@ 2024-04-23 21:33 Sam James
0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2024-04-23 21:33 UTC (permalink / raw
To: gentoo-commits
commit: 53ee8ce4c53896c72c68e265eaf14c33b840159f
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 23 21:32:58 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 23 21:32:58 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53ee8ce4
media-gfx/graphicsmagick: add 1.3.43
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-gfx/graphicsmagick/Manifest | 2 +
.../files/graphicsmagick-1.3.43-bashism.patch | 12 ++
.../graphicsmagick/graphicsmagick-1.3.43.ebuild | 163 +++++++++++++++++++++
3 files changed, 177 insertions(+)
diff --git a/media-gfx/graphicsmagick/Manifest b/media-gfx/graphicsmagick/Manifest
index 6afe88883471..064922e59397 100644
--- a/media-gfx/graphicsmagick/Manifest
+++ b/media-gfx/graphicsmagick/Manifest
@@ -1,2 +1,4 @@
DIST GraphicsMagick-1.3.42.tar.xz 5553692 BLAKE2B f8f0d7d420375262b7db8ffcc1c9eb4e372fb20a7c5e55f566d965183bb9a8d3a20a43c249a0b05235caaa0883c58885329d5c8d1967f464c0b757d40d6fc825 SHA512 b512c9c4c06ec60f7d31e140da08f2bc16d492a2dab82778f1b38c074a25340159e59bfbaa30b2997a6fbd10a500ae1bda527e3c3854e4462bcae837e818428a
DIST GraphicsMagick-1.3.42.tar.xz.asc 228 BLAKE2B 723f8d1ca13bd5b32a12d69bb46f4991df6e7963f0d4c12ddaf60167a9ade4c6fa36819cce1df202437143bc55e17dd6f2cff821412dafceeb3ab5e3dbf3dc7b SHA512 de5d90c748376e7e480a066e9354ac1771f15cb2d8c6e5c9249672fd811b7bbe06f97b3348240538fa8d0d7c11150f57fb5148285214712944f7535afb943bd0
+DIST GraphicsMagick-1.3.43.tar.xz 5657460 BLAKE2B caa4fa6546acb4cdaaa421030ccc5cd2b628ae723e07f84700f65e26e1f3e59039cf92fda259ee44ba1e1fa90e9c469844fb5289cc73d50c42bb50fb39358ca2 SHA512 15b4d90119f25fd45f16d50218d51d543841dd3cdaf0c585bce2c18592106bc41573ed1011d7176ff5882fa0cded8f46bfd1e639c26063571109911e22098757
+DIST GraphicsMagick-1.3.43.tar.xz.asc 228 BLAKE2B cb1290af98ea92de948df0421b7de101a713f0b8ce4a07959269d5edd10eb26f088585e1a8272482a9b219ee388ae8f040fc047ca76d5f752f04a7b57987c89c SHA512 3bd62bc64dd1b6f2d7a17f1281d8dc4c67c474860b4d95bfaf5fb4be93d0ee156b54c2a6ef4166687854e5458a6e43e61816a5fd508e4702f693a9d1e43984bf
diff --git a/media-gfx/graphicsmagick/files/graphicsmagick-1.3.43-bashism.patch b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.43-bashism.patch
new file mode 100644
index 000000000000..060959ae6e87
--- /dev/null
+++ b/media-gfx/graphicsmagick/files/graphicsmagick-1.3.43-bashism.patch
@@ -0,0 +1,12 @@
+Sent upstream by email on 2024-04-23.
+--- a/configure.ac
++++ b/configure.ac
+@@ -1720,7 +1720,7 @@ AC_SUBST([LIB_MTMALLOC])
+ # Find OpenMP library (no pkg-config support!)
+ #
+ LIB_OMP=''
+-if test "${OPENMP_ENABLED}" == 'yes'
++if test "${OPENMP_ENABLED}" = 'yes'
+ then
+ if test "${GCC}" = "yes"
+ then
diff --git a/media-gfx/graphicsmagick/graphicsmagick-1.3.43.ebuild b/media-gfx/graphicsmagick/graphicsmagick-1.3.43.ebuild
new file mode 100644
index 000000000000..59f7582199a4
--- /dev/null
+++ b/media-gfx/graphicsmagick/graphicsmagick-1.3.43.ebuild
@@ -0,0 +1,163 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools toolchain-funcs
+
+MY_P=${P/graphicsm/GraphicsM}
+DESCRIPTION="Collection of tools and libraries for many image formats"
+HOMEPAGE="http://www.graphicsmagick.org/ https://hg.osdn.net/view/graphicsmagick/GM"
+
+if [[ ${PV} == 9999 ]] ; then
+ EHG_REPO_URI="http://hg.code.sf.net/p/${PN}/code"
+ inherit mercurial
+else
+ VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/bobfriesenhahn.asc
+ inherit verify-sig
+
+ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.xz"
+ SRC_URI+=" verify-sig? ( mirror://sourceforge/${PN}/${MY_P}.tar.xz.asc )"
+ S="${WORKDIR}/${MY_P}"
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+ BDEPEND="verify-sig? ( sec-keys/openpgp-keys-bobfriesenhahn )"
+fi
+
+LICENSE="MIT"
+SLOT="0/${PV%.*}"
+IUSE="bzip2 +cxx debug dynamic-loading fpx heif imagemagick jbig jpeg jpegxl lcms lzma"
+IUSE+=" openmp perl png postscript q16 q32 static-libs svg tcmalloc tiff truetype"
+IUSE+=" webp wmf X zlib zstd"
+
+RDEPEND="
+ dev-libs/libltdl
+ bzip2? ( app-arch/bzip2 )
+ fpx? ( media-libs/libfpx )
+ heif? ( media-libs/libheif:= )
+ imagemagick? ( !media-gfx/imagemagick )
+ jbig? ( media-libs/jbigkit )
+ jpeg? ( media-libs/libjpeg-turbo:= )
+ jpegxl? ( media-libs/libjxl:= )
+ lcms? ( media-libs/lcms:2 )
+ lzma? ( app-arch/xz-utils )
+ perl? ( dev-lang/perl:= )
+ png? ( media-libs/libpng:= )
+ postscript? ( app-text/ghostscript-gpl )
+ svg? ( dev-libs/libxml2 )
+ tcmalloc? ( dev-util/google-perftools:= )
+ tiff? ( media-libs/tiff:= )
+ truetype? (
+ media-fonts/urw-fonts
+ >=media-libs/freetype-2
+ )
+ webp? ( media-libs/libwebp:= )
+ wmf? ( media-libs/libwmf )
+ X? (
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ )
+ zlib? ( sys-libs/zlib )
+ zstd? ( app-arch/zstd:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND+=" virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.3.41-flags.patch
+ "${FILESDIR}"/${PN}-1.3.41-perl.patch
+ "${FILESDIR}"/${PN}-1.3.43-bashism.patch
+)
+
+pkg_pretend() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ local depth=8
+
+ use q16 && depth=16
+ use q32 && depth=32
+
+ local myeconfargs=(
+ --enable-largefile
+ --enable-shared
+ $(use_enable static-libs static)
+ $(use_enable debug prof)
+ $(use_enable debug gcov)
+ $(use_enable imagemagick magick-compat)
+ $(use_enable openmp)
+ --with-threads
+ $(use_with dynamic-loading modules)
+ --with-quantum-depth=${depth}
+ --without-frozenpaths
+ $(use_with cxx magick-plus-plus)
+ $(use_with heif)
+ $(use_with jpegxl jxl)
+ $(use_with perl)
+ --with-perl-options=INSTALLDIRS=vendor
+ $(use_with bzip2 bzlib)
+ $(use_with postscript dps)
+ $(use_with fpx)
+ $(use_with jbig)
+ $(use_with webp)
+ $(use_with jpeg)
+ # Needs last-rited/unpackaged jasper
+ --without-jp2
+ $(use_with lcms lcms2)
+ $(use_with lzma)
+ $(use_with png)
+ $(use_with tcmalloc)
+ $(use_with tiff)
+ --without-trio
+ $(use_with truetype ttf)
+ $(use_with wmf)
+ --with-fontpath="${EPREFIX}"/usr/share/fonts
+ --with-gs-font-dir="${EPREFIX}"/usr/share/fonts/urw-fonts
+ --with-windows-font-dir="${EPREFIX}"/usr/share/fonts/corefonts
+ $(use_with svg xml)
+ $(use_with zlib)
+ $(use_with zstd)
+ $(use_with X x)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ default
+
+ use perl && emake perl-build
+}
+
+src_test() {
+ # Some perl tests fail when DISPLAY is set
+ unset DISPLAY
+
+ default
+}
+
+src_install() {
+ default
+
+ if use perl ; then
+ emake -C PerlMagick DESTDIR="${D}" install
+
+ find "${ED}" -type f -name perllocal.pod -exec rm -f {} + || die
+ find "${ED}" -depth -mindepth 1 -type d -empty -exec rm -rf {} + || die
+ fi
+
+ find "${ED}" -name '*.la' -exec sed -i -e "/^dependency_libs/s:=.*:='':" {} + || die
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2024-04-23 21:33 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-07-30 8:19 [gentoo-commits] repo/gentoo:master commit in: media-gfx/graphicsmagick/, media-gfx/graphicsmagick/files/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2023-07-28 13:42 Sam James
2023-08-13 6:49 Sam James
2024-04-23 21:33 Sam James
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox